summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2021-06-14 08:42:10 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2021-06-14 10:25:01 +0200
commitddfd2ee97d8d255ef4dea04f06488d6a525fbc03 (patch)
tree0caa0a5408835bb7faf4b9bf8ea7d8902682a594 /kde-frameworks
parentkde-frameworks/kwidgetsaddons: 5.83.0 version bump (diff)
downloadgentoo-ddfd2ee97d8d255ef4dea04f06488d6a525fbc03.tar.gz
gentoo-ddfd2ee97d8d255ef4dea04f06488d6a525fbc03.tar.bz2
gentoo-ddfd2ee97d8d255ef4dea04f06488d6a525fbc03.zip
kde-frameworks/kwindowsystem: 5.83.0 version bump
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-frameworks')
-rw-r--r--kde-frameworks/kwindowsystem/Manifest1
-rw-r--r--kde-frameworks/kwindowsystem/kwindowsystem-5.83.0.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/kde-frameworks/kwindowsystem/Manifest b/kde-frameworks/kwindowsystem/Manifest
index 6b13899a599..6499e8eb509 100644
--- a/kde-frameworks/kwindowsystem/Manifest
+++ b/kde-frameworks/kwindowsystem/Manifest
@@ -1 +1,2 @@
DIST kwindowsystem-5.82.0.tar.xz 177932 BLAKE2B e3089e51821f46eb061830863bca969e5da693a815bd17db3d674912fe1c924fe2d590c982c93ec9926d381ee8488287f669745113c1a96cd5e4f3f8ac3c1297 SHA512 fd823e718e439d40e85146195d03c6868c99d62cc9495d5733157db081f29884cd9a9d11421d81c47fe4cc5661107a1b52ff55dc9e0a00565682f1d7845a2e68
+DIST kwindowsystem-5.83.0.tar.xz 178308 BLAKE2B 35d50012708038a39624793636ea447ae5697ea754fb6fcc04e40b50aec156bfdfebfcbe41f53fe8218d1f64123b6a7950baf495dfa583b9de716fff0edceb2b SHA512 b5270f9add6e4b3d1f468fa78ba6600b7c4813bd5eaece984e7d531ee261ac714039ca61d8f93ff6d3aa1dee147e3ed708c3ce153e885cc4f7b844b199620a03
diff --git a/kde-frameworks/kwindowsystem/kwindowsystem-5.83.0.ebuild b/kde-frameworks/kwindowsystem/kwindowsystem-5.83.0.ebuild
new file mode 100644
index 00000000000..fc2c1177d8a
--- /dev/null
+++ b/kde-frameworks/kwindowsystem/kwindowsystem-5.83.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+QTMIN=5.15.2
+VIRTUALX_REQUIRED="test"
+inherit ecm kde.org
+
+DESCRIPTION="Framework providing access to properties and features of the window manager"
+LICENSE="|| ( LGPL-2.1 LGPL-3 ) MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="nls X"
+
+RESTRICT+=" test"
+
+RDEPEND="
+ >=dev-qt/qtgui-${QTMIN}:5
+ X? (
+ >=dev-qt/qtx11extras-${QTMIN}:5
+ x11-libs/libX11
+ x11-libs/libXfixes
+ x11-libs/libxcb
+ x11-libs/xcb-util-keysyms
+ )
+"
+DEPEND="${RDEPEND}
+ X? ( x11-base/xorg-proto )
+ test? ( >=dev-qt/qtwidgets-${QTMIN}:5 )
+"
+BDEPEND="
+ nls? ( >=dev-qt/linguist-tools-${QTMIN}:5 )
+"
+
+DOCS=( docs/README.kstartupinfo )
+
+src_configure() {
+ local mycmakeargs=(
+ -DKWINDOWSYSTEM_NO_WIDGETS=ON
+ $(cmake_use_find_package X X11)
+ )
+
+ ecm_src_configure
+}